작업 공간 오케스트레이션 엔진을 통해 세션의 실행 로그를 가져옵니다. 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다.
GET /api/v1/projects/{id}/execution-logs
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/execution-logs?session_id=string' \
--header "Authorization: $API_KEY"
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(200)
{
"count": 42,
"has_more": true,
"logs": [
{
"a2a_caller_workspace_id": "string",
"a2a_parent_execution_id": "string",
"a2a_target_agent_id": "string",
"a2a_target_agent_name": "string",
"completion_tokens": 42,
"cost_usd": 42.0,
"decision": "string",
"duration_ms": 42.0,
"error": "string",
"execution_id": "string",
"guardrail_action": "string",
"guardrail_name": "string",
"guardrail_type": "string",
"id": "string",
"inputs": {},
"kind": "llm",
"log_source": "string",
"metadata": {},
"model": "string",
"org_id": "string",
"pod_name": "string",
"project_id": "string",
"prompt_tokens": 42,
"root_execution_id": "string",
"root_session_id": "string",
"session_id": "string",
"span_id": "string",
"status": "string",
"step_number": 42,
"timestamp": "2026-05-04T09:42:00Z",
"tool": "string",
"tool_api_error": {
"classification": "string",
"error_code": "string",
"http_status": 42,
"provider_type": "string",
"reason": "string",
"retryable": true
},
"tool_call_id": "string",
"total_tokens": 42,
"trace_id": "string",
"triggered_policy_ids": [
"string"
],
"user_id": "string",
"workspace_id": "string"
}
],
"next_cursor": "string",
"success": true
}
응답 예시(200)
{
"count": 42,
"has_more": true,
"logs": [
{
"a2a_caller_workspace_id": "string",
"a2a_parent_execution_id": "string",
"a2a_target_agent_id": "string",
"a2a_target_agent_name": "string",
"completion_tokens": 42,
"cost_usd": 42.0,
"decision": "string",
"duration_ms": 42.0,
"error": "string",
"execution_id": "string",
"guardrail_action": "string",
"guardrail_name": "string",
"guardrail_type": "string",
"id": "string",
"inputs": {},
"kind": "llm",
"log_source": "string",
"metadata": {},
"model": "string",
"org_id": "string",
"pod_name": "string",
"project_id": "string",
"prompt_tokens": 42,
"root_execution_id": "string",
"root_session_id": "string",
"session_id": "string",
"span_id": "string",
"status": "string",
"step_number": 42,
"timestamp": "2026-05-04T09:42:00Z",
"tool": "string",
"tool_api_error": {
"classification": "string",
"error_code": "string",
"http_status": 42,
"provider_type": "string",
"reason": "string",
"retryable": true
},
"tool_call_id": "string",
"total_tokens": 42,
"trace_id": "string",
"triggered_policy_ids": [
"string"
],
"user_id": "string",
"workspace_id": "string"
}
],
"next_cursor": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(401)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(425)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(425)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(500)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}